tbb::flow::interface11::async_node< Input, Output, Policy, Allocator >::try_put_functor Struct Reference
Collaboration diagram for tbb::flow::interface11::async_node< Input, Output, Policy, Allocator >::try_put_functor:

## Public Types

typedef internal::multifunction_output< Output > | output_port_type

## Public Member Functions

| try_put_functor (output_port_type &p, const Output &v)
void | operator() ()

## Public Attributes

output_port_type * | port
const Output * | value
bool | result

## Detailed Description

### template<typename Input, typename Output, typename Policy = queueing_lightweight, typename Allocator = cache_aligned_allocator<Input>>
struct tbb::flow::interface11::async_node< Input, Output, Policy, Allocator >::try_put_functor

Definition at line 3841 of file flow_graph.h.

## Member Typedef Documentation

## output_port_type

template<typename Input , typename Output , typename Policy = queueing_lightweight, typename Allocator = cache_aligned_allocator<Input>>

typedef internal::multifunction_output<Output> tbb::flow::interface11::async_node< Input, Output, Policy, Allocator >::try_put_functor::output_port_type

Definition at line 3842 of file flow_graph.h.

## Constructor & Destructor Documentation

## try_put_functor()

template<typename Input , typename Output , typename Policy = queueing_lightweight, typename Allocator = cache_aligned_allocator<Input>>

tbb::flow::interface11::async_node< Input, Output, Policy, Allocator >::try_put_functor::try_put_functor | ( | output_port_type & | p,
|  | const Output & | v
| ) |  |

inline

Definition at line 3847 of file flow_graph.h.

: port(&p), value(&v), result(false) { }

## Member Function Documentation

## operator()()

template<typename Input , typename Output , typename Policy = queueing_lightweight, typename Allocator = cache_aligned_allocator<Input>>

void tbb::flow::interface11::async_node< Input, Output, Policy, Allocator >::try_put_functor::operator() | ( |  | ) |

inline

Definition at line 3848 of file flow_graph.h.

{
result = port->try_put(*value);
}

References internal::multifunction_output< Output >::try_put(), and value.

Here is the call graph for this function:

## Member Data Documentation

## port

template<typename Input , typename Output , typename Policy = queueing_lightweight, typename Allocator = cache_aligned_allocator<Input>>

output_port_type* tbb::flow::interface11::async_node< Input, Output, Policy, Allocator >::try_put_functor::port

Definition at line 3843 of file flow_graph.h.

## result

template<typename Input , typename Output , typename Policy = queueing_lightweight, typename Allocator = cache_aligned_allocator<Input>>

bool tbb::flow::interface11::async_node< Input, Output, Policy, Allocator >::try_put_functor::result

Definition at line 3846 of file flow_graph.h.

## value

template<typename Input , typename Output , typename Policy = queueing_lightweight, typename Allocator = cache_aligned_allocator<Input>>

const Output* tbb::flow::interface11::async_node< Input, Output, Policy, Allocator >::try_put_functor::value

Definition at line 3845 of file flow_graph.h.

The documentation for this struct was generated from the following file:

- flow_graph.h

tbb::flow::interface11::async_node::try_put_functor::port
output_port_type * port
Definition: flow_graph.h:3843
internal::multifunction_output::try_put
bool try_put(const output_type &i)
Definition: _flow_graph_node_impl.h:934
tbb::flow::interface11::async_node::try_put_functor::value
const Output * value
Definition: flow_graph.h:3845
p
void const char const char int ITT_FORMAT __itt_group_sync p
Definition: ittnotify_static.h:91
tbb::flow::interface11::async_node::try_put_functor::result
bool result
Definition: flow_graph.h:3846

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.